<?php
class OutputStream {
    
    const NULL = -1;
    
    const STANDARD_OUTPUT = 1;
    
    const BUFFER = 2;
    
    
   private $gOutputBuffer;
    
   private $gClientBuffer;
    
   private $gOutputType;
   
   
   
   public function __construct( $inType )
   {
       $this->gOutputType = $inType;
       switch ( $this->gOutputType ) {
         case self::NULL :
            break;
         case self::STANDARD_OUTPUT :
            break;
         case self::BUFFER :
            break;
      }
   }
   
   
   public function out( $inString )
   {
      switch ( $this->gOutputType ) {
         case self::NULL :
            break;
         case self::STANDARD_OUTPUT :
            if ( Environment::$isPalooseClient ) {
               Environment::$gClientBuffer = $inString;
            } else {
               print $inString;
            }
            break;
         case self::BUFFER :
            $this->gOutputBuffer .= $inString;
            break;
      }
   } 
   
   
   public function clearBuffer()
   {
      $this->gOutputBuffer = "";
   } 
   
   
   public function getBuffer()
   {
      return $this->gOutputBuffer;
   } 
  
   
   public function getClientBuffer()
   {
      return $this->gClientBuffer;
   } 
   
   
   public function getType()
   {
      return $this->gOutputType;
   } 
   
   
   public function toString()
   {
      switch ( $this->gOutputType ) {
         case self::NULL :
            return "NULL";
            break;
         case self::STANDARD_OUTPUT :
            return "STANDARD_OUTPUT";
            break;
         case self::BUFFER :
            return "BUFFER";
            break;
         case self::CLIENT_OUTPUT :
            return "CLIENT_OUTPUT";
            break;
      }
   } 
}
?>
